@echo off

REM **** TO BE DELETED AFTER CONFIRMING WITH INSTALL TEAM THIS FILE IS COMPLETELY UNUSED ***

REM ============================================================================
REM  Copyright (c) CommVault Systems,
REM  All Rights Reserved
REM
REM  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF CommVault Systems
REM  The copyright notice above does not evidence any
REM  actual or intended publication of such source code.
REM
REM  Author: Vivek Jain
REM ============================================================================
setlocal
goto MAIN
REM -----------------------------------------------
REM "%~f2" get abs path of %~2.
REM "%~fs2" get abs path with short names of %~2.
:setAbsPath
  setlocal
  set __absPath=%~f2
  endlocal && set %1=%__absPath%
  goto :eof
REM -----------------------------------------------

:MAIN
set JAVA_EXE=java.exe
set JAVA_EXE_PATH=
if '%1' == '' goto usage
if '%2' == '' goto usage
if NOT '%3' == '' (
	set "JAVA_EXE_PATH=%~3"
)
set instance=%1
set home=%~2
set "THIRD_PARTY_LIB="

echo JRE_HOME: %JRE_HOME%
echo JAVA_HOME: %JAVA_HOME%

if "%JAVA_EXE_PATH%" == "" (
	if EXIST "%JRE_HOME%\bin\java.exe" (
		set "JAVA_EXE_PATH=%JRE_HOME%\bin"
	) else (
		if EXIST "%JAVA_HOME%\bin\java.exe" (
			set "JAVA_EXE_PATH=%JAVA_HOME%\bin"
		)
	)
)
if NOT "%JAVA_EXE_PATH%" == "" (
	echo Java Executable: %JAVA_EXE_PATH%.
	"%JAVA_EXE_PATH%\%JAVA_EXE%" -version
	if %ERRORLEVEL% NEQ 0 goto noJava
	set "PATH=%JAVA_EXE_PATH%;!PATH!"
	echo.
) else (
	goto noJava
)
echo PATH: %PATH%

REM Delete the additional weld jar. TEMP FIX. SHOULD BE HANDLED DIFFERENTLY
set weldJar=%home%\..\AdminConsole\WEB-INF\lib\weld-servlet-2.1.0.Final.jar
if exist %weldJar% (
	echo delete %weldJar%
	del "%weldJar%"
	echo deleted %weldJar%
)


REM Check if Apache folder
echo %home%
call :setAbsPath APACHE_LIB_PATH "%home%\..\Apache\lib\shared"
if not exist "%APACHE_LIB_PATH%" (
	goto skipConfig
) else (
	set "LIB_PATH=%APACHE_LIB_PATH%"
	call :setAbsPath LOG_PATH "%APACHE_LIB_PATH%\..\..\..\Log Files\Web"
)
call :setAbsPath CONFIG_PATH "%LIB_PATH%\..\log4j.xml"
echo Library Path: %LIB_PATH%
echo Configuration Path: %CONFIG_PATH%
echo Log File Path: %LOG_PATH%
pushd "%LIB_PATH%"
call :deleteObsoleteFiles
setlocal EnableDelayedExpansion
for /f %%i in ('dir /b *') do (
	set "THIRD_PARTY_LIB=!THIRD_PARTY_LIB!;%%i"
)
for /f %%i in ('dir .. /b *') do (
	set "THIRD_PARTY_LIB=!THIRD_PARTY_LIB!;../%%i"
)
echo 3rd Party Jars: %THIRD_PARTY_LIB%
set TOOLS_CLASSPATH=../catalina.jar;"%home%\..\AdminConsole\Web-Inf\lib\AdminConsole.jar";"%home%\..\AdminConsole\Web-Inf\lib\cte.jar"%THIRD_PARTY_LIB%
echo Tools Classpath: %TOOLS_CLASSPATH%
echo Starting Setup....
echo.
call %JAVA_EXE% -Dlog4j.configuration="file:/%CONFIG_PATH%" -Dcatalina.logpath="%LOG_PATH%" -cp %TOOLS_CLASSPATH% commvault.web.setup.SetupAdminConsole -instance=%instance% %4 %5 %6
popd
echo Setup Completed.
goto finish

:usage
echo.
echo Usage:
echo SetupAdminConsole.cmd ^<Instance^> ^<GxBaseDir^>
exit /b -1

:deleteObsoleteFiles
setlocal EnableDelayedExpansion
echo Deleting obsolete files %LIB_PATH% and subfolders
set fileToDelete[1]="%LIB_PATH%\..\ecj-3.7.jar"
set fileToDelete[2]="%LIB_PATH%\..\ecj-4.3.1.jar"
set fileToDelete[3]="%LIB_PATH%\..\ecj-4.4.2.jar"
set fileToDelete[4]="%LIB_PATH%\..\ecj-4.4.jar"
set fileToDelete[5]="%LIB_PATH%\..\tomcat7-websocket.jar
set fileToDelete[6]="%LIB_PATH%\..\..\webapps\host-manager\401.jsp"
set fileToDelete[7]="%LIB_PATH%\..\..\webapps\host-manager\403.jsp"
set fileToDelete[8]="%LIB_PATH%\..\..\webapps\manager\401.jsp"
set fileToDelete[9]="%LIB_PATH%\..\..\webapps\manager\403.jsp"
set fileToDelete[10]="%LIB_PATH%\..\..\webapps\ROOT\build.xml"
set fileToDelete[11]="%LIB_PATH%\..\..\webapps\ROOT\index.jsp.old"
set fileToDelete[12]="%LIB_PATH%\..\..\webapps\ROOT\indexRoot.jsp"
set fileToDelete[13]="%home%\..\AdminConsole\WEB-INF\lib\atmosphere-cdi-2.3.0.jar"
set fileToDelete[14]="%home%\..\AdminConsole\WEB-INF\lib\atmosphere-runtime-2.3.1.jar"

FOR /L %%i IN (1,1,14) DO (
	if EXIST !fileToDelete[%%i]! (
		echo deleting file: !fileToDelete[%%i]!
		del /F !fileToDelete[%%i]!
		echo deleted file: !fileToDelete[%%i]!
	)
)
echo Obsolete files deleted from %LIB_PATH% and subfolders
endlocal
goto :eof

:skipConfig
echo Skipping Configuration since '%LIB_PATH%' does not exists

:noJava
echo Skipping Configuration since '%JAVA_EXE_PATH%' does not exists
goto finish

:finish
exit /b %ERRORLEVEL%
endlocal
